import { RestApiRoute } from './RestApiRoute';
import { RestApiRequestHandler } from './RestApiRequestHandler';
import { RestPathParams } from './RestRequestParams';
import { RestQueryParams } from './RestQueryParams';
import { RestRequestBody } from './RestRequestBody';
import { RestResponseBody } from './RestResponseBody';
export interface RestApiRouteHandler<PathParams extends RestPathParams, QueryParams extends RestQueryParams, RequestBody extends RestRequestBody, ResponseBody extends RestResponseBody> {
    route: RestApiRoute<PathParams, QueryParams, RequestBody, ResponseBody>;
    requestHandler: RestApiRequestHandler<PathParams, QueryParams, RequestBody, ResponseBody>;
}
